/*
 * Copyright (C) 2019 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.android.quickstep.hints;

public final class UiInterfaceConstants {

    private UiInterfaceConstants() {}

    // Operations
    public static final int ON_HINT_TAP_CODE = 4;

    public static final int REQUEST_HINTS_CODE = 7;

    // Keys
    public static final String SESSION_ID_KEY = "session_id";
    public static final String HINT_ID_KEY = "hint_id";
    public static final String WIDTH_PX_KEY = "width_px";
    public static final String HEIGHT_PX_KEY = "height_px";
    public static final String HINT_SPACE_WIDTH_PX_KEY = "hint_space_width_px";
    public static final String HINT_SPACE_HEIGHT_PX_KEY = "hint_space_height_px";
}
